tigase.jaxmpp.j2se.connectors.bosh

## Class BoshWorker

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.bosh.BoshWorker

- All Implemented Interfaces:
    Runnable, BoshRequest

      public abstract class BoshWorker
      extends Object
      implements BoshRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshWorker(tigase.xml.DomBuilderHandler domHandler, tigase.xml.SimpleParser parser, SessionObject sessionObject, Element body)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getRid()` Returns current response ID.
    `int` | `hashCode()`
    `protected abstract void` | `onError(int responseCode, String responseData, Element response, Throwable caught)`
    `protected abstract void` | `onSuccess(int responseCode, String responseData, Element response)`
    `protected abstract void` | `onTerminate(int responseCode, String responseData, Element response)`
    `void` | `run()`
    `void` | `terminate()` Terminates request.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshWorker

          public BoshWorker(tigase.xml.DomBuilderHandler domHandler,
                            tigase.xml.SimpleParser parser,
                            SessionObject sessionObject,
                            Element body)
                     throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getRid

          public String getRid()

      Description copied from interface: `BoshRequest`
      Returns current response ID.
      Specified by:
        `getRid` in interface `BoshRequest`
      Returns:
        response id.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### onError

          protected abstract void onError(int responseCode,
                                          String responseData,
                                          Element response,
                                          Throwable caught)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onSuccess

          protected abstract void onSuccess(int responseCode,
                                            String responseData,
                                            Element response)
                                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onTerminate

          protected abstract void onTerminate(int responseCode,
                                              String responseData,
                                              Element response)
                                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### terminate

          public void terminate()

      Description copied from interface: `BoshRequest`
      Terminates request.
      Specified by:
        `terminate` in interface `BoshRequest`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 Tigase. All rights reserved.